---
image: docker:19.03.12
services:
  - docker:19.03.12-dind

stages:
  - build

variables:
  # Use TLS https://docs.gitlab.com/ee/ci/docker/using_docker_build.html#tls-enabled
  DOCKER_HOST: tcp://docker:2376
  DOCKER_TLS_CERTDIR: "/certs"
  CONTAINER_RELEASE_IMAGE: $CI_REGISTRY_IMAGE:latest
  CONTAINER_COMMIT_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA

before_script:
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
  stage: build
  script:
    - DOCKER_BUILDKIT=1 docker build --build-arg BOT_TOKEN=$BOT_TOKEN --pull -t $CONTAINER_RELEASE_IMAGE -t $CONTAINER_COMMIT_IMAGE .
    - docker push $CONTAINER_COMMIT_IMAGE
    - docker push $CONTAINER_RELEASE_IMAGE
  only:
    - master
